/*******************************************************
** Name:        vertex.h
** Author:      Leo Liberti
** Source:      GNU C++
** Purpose:     www exploring topologizer - 
**              vertex abstract class (header)
** History:     060820 work started
*******************************************************/

#ifndef _WETVERTEXH
#define _WETVERTEXH

#include<iostream>

class Vertex {
 public:
  virtual ~Vertex() {
#ifdef DEBUG
    std::cerr << "** destroying Vertex " << this << std::endl; 
#endif
  }
  virtual int getID(void) const = 0;
  virtual int getNumberOfAdjacentVertices(void) const = 0;
  virtual int getAdjacentVertexID(int i) const = 0;
  virtual void addAdjacentVertexID(int ID) = 0;
};

#endif
