#include<iostream>
#include "vertexurl.h"

int main(int argc, char** argv) {
  using namespace std;
  if (argc < 2) {
    cerr << "missing arg on cmd line" << endl;
    return 1;
  }
  URL* urlPtr = new URL(argv[1]);
  urlPtr->download();
  VertexURL* vtxURLPtr = new VertexURL(0, urlPtr);
  Vertex* vtxPtr = vtxURLPtr;
  vtxPtr->addAdjacentVertexID(1);
  vtxPtr->addAdjacentVertexID(2);
  int starsize = vtxPtr->getNumberOfAdjacentVertices();
  cout << "vertex " << vtxPtr->getID() << ": star";
  for(int i = 0; i < starsize; i++) {
    cout << " " << vtxPtr->getAdjacentVertexID(i);
  }
  cout << endl;
  delete vtxPtr;
  return 0;
}
